import request from '@/utils/request'

// 查询通知类型列表
export function listNoticeType(query) {
  return request({
    url: '/vrone/backend/noticeType/list',
    method: 'get',
    params: query
  })
}

// 查询通知类型详细
export function getNoticeType(id) {
  return request({
    url: '/vrone/backend/noticeType/' + id,
    method: 'get'
  })
}

// 新增通知类型
export function addNoticeType(data) {
  return request({
    url: '/vrone/backend/noticeType',
    method: 'post',
    data: data
  })
}

// 修改通知类型
export function updateNoticeType(data) {
  return request({
    url: '/vrone/backend/noticeType',
    method: 'put',
    data: data
  })
}

// 删除通知类型
export function delNoticeType(id) {
  return request({
    url: '/vrone/backend/noticeType/' + id,
    method: 'delete'
  })
}
